Subject: [AVT] Request for publication: draft-ietf-avt-rtp-gsm-hr-03.txt

From: Tom Taylor <[email-masked]>
Date: Thu, 22 Apr 2010 14:20:31 -0400

This is the PROTO writeup for draft-ietf-avt-rtp-gsm-hr-03.txt.

   (1.a) Who is the Document Shepherd for this document? Has the
         Document Shepherd personally reviewed this version of the
         document and, in particular, does he or she believe this
         version is ready for forwarding to the IESG for publication?

Tom Taylor <[email-masked]> is document shepherd. I have reviewed this 
version of the document. It is ready to go.

   (1.b) Has the document had adequate review both from key WG members
         and from key non-WG members? Does the Document Shepherd have
         any concerns about the depth or breadth of the reviews that
         have been performed?

The draft has drawn few comments, but they were mostly editorial. The draft is a 
fairly straightforward payload type definition which draws on the model set by 
payload types for other GSM-related codecs (e.g. AMR, AMR-WB). No concerns.

   (1.c) Does the Document Shepherd have concerns that the document
         needs more review from a particular or broader perspective,
         e.g., security, operational complexity, someone familiar with
         AAA, internationalization or XML?

No concerns.

   (1.d) Does the Document Shepherd have any specific concerns or
         issues with this document that the Responsible Area Director
         and/or the IESG should be aware of? For example, perhaps he
         or she is uncomfortable with certain parts of the document, or
         has concerns whether there really is a need for it. In any
         event, if the WG has discussed those issues and has indicated
         that it still wishes to advance the document, detail those
         concerns here. Has an IPR disclosure related to this document
         been filed? If so, please include a reference to the
         disclosure and summarize the WG discussion and conclusion on
         this issue.

No concerns. No IPR disclosures.

   (1.e) How solid is the WG consensus behind this document? Does it
         represent the strong concurrence of a few individuals, with
         others being silent, or does the WG as a whole understand and
         agree with it?

The likely situation is that the conscientous minority have checked it and the 
remainder have trusted them to do so.

   (1.f) Has anyone threatened an appeal or otherwise indicated extreme
         discontent? If so, please summarise the areas of conflict in
         separate email messages to the Responsible Area Director. (It
         should be in a separate email because this questionnaire is
         entered into the ID Tracker.)

No.

   (1.g) Has the Document Shepherd personally verified that the
         document satisfies all ID nits? (See the Internet-Drafts Checklist
         and http://tools.ietf.org/tools/idnits/). Boilerplate checks are
         not enough; this check needs to be thorough. Has the document
         met all formal review criteria it needs to, such as the MIB
         Doctor, media type and URI type reviews?

Boilerplate is slightly obsolete, otherwise no nits. Possible typo in the final 
normative reference, s /46.002/46.020/ (have to check). Media type review has 
been performed.

   (1.h) Has the document split its references into normative and
         informative? Are there normative references to documents that
         are not ready for advancement or are otherwise in an unclear
         state? If such normative references exist, what is the
         strategy for their completion? Are there normative references
         that are downward references, as described in [RFC3967]? If
         so, list these downward references to support the Area
         Director in the Last Call procedure for them [RFC3967].

All OK.

   (1.i) Has the Document Shepherd verified that the document IANA
         consideration section exists and is consistent with the body
         of the document? If the document specifies protocol
         extensions, are reservations requested in appropriate IANA
         registries? Are the IANA registries clearly identified? If
         the document creates a new registry, does it define the
         proposed initial contents of the registry and an allocation
         procedure for future registrations? Does it suggest a
         reasonable name for the new registry? See [RFC5226]. If the
         document describes an Expert Review process has Shepherd
         conferred with the Responsible Area Director so that the IESG
         can appoint the needed Expert during the IESG Evaluation?

IANA section points to media type registration template. No other content. The 
media type has one payload-specific optional parameter, but no registry is required.

   (1.j) Has the Document Shepherd verified that sections of the
         document that are written in a formal language, such as XML
         code, BNF rules, MIB definitions, etc., validate correctly in
         an automated checker?

Not applicable.

   (1.k) The IESG approval announcement includes a Document
         Announcement Write-Up. Please provide such a Document
         Announcement Write-Up? Recent examples can be found in the
         "Action" announcements for approved documents. The approval
         announcement contains the following sections:

      Technical Summary

This document specifies the payload format for packetization of the
GSM Half-Rate speech codec data into the Real-time Transport Protocol
(RTP).  The payload format supports transmission of multiple frames
per payload and packet loss robustness methods using redundancy.

      Working Group Summary

No major issues were raised during the document's progress through the Working 
Group.

      Document Quality

3GPP specifications will refer to this document when published as an RFC. It is 
probable that implementations already exist.

This work was initiated by one set of authors (Rocky Wang and Ying Zhang), who 
ended up giving way to the authors of the present document and cooperating with 
them.

The request for media type review was posted by Roni Even on 06/12/2009.